## tiledb-py 0.12.2

=== requirements.txt ===
numpy>=1.16.5 ; python_version < "3.10" and platform_machine != 'aarch64'
numpy>=1.19.2 ; python_version < "3.10" and platform_machine == 'aarch64'
numpy>=1.21.0 ; python_version >= "3.10"
packaging

contextvars ;python_version<"3.7"
dataclasses ;python_version<"3.7"

=== debian/changelog ===
tiledb-py (0.12.2-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:24:19 +0000

tiledb-py (0.12.2-2) unstable; urgency=medium

  * Source-only upload after clearing NEW queue

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Feb 2022 10:20:36 -0600

tiledb-py (0.12.2-1) unstable; urgency=medium

  [ Adam Cecile ]
  * Initial release (Closes: #951193).

  [ Dirk Eddelbuettel ]
  * A few tweaks for initial upload

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 16 Feb 2022 17:23:45 -0600

=== debian/control ===
Source: tiledb-py
Section: python
Priority: optional
Uploaders: Adam Cecile <acecile@le-vert.net>, Dirk Eddelbuettel <edd@debian.org>
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev,
# From setup.py
 cmake,
 cython3 (>= 0.27~),
 python3-pybind11 (>= 2.6.2~),
 python3-numpy (>= 1.7~),
 python3-setuptools (>= 18.0~),
 python3-setuptools-scm (>= 1.5.4~),
 python3-wheel (>= 0.30~),
 libtiledb-dev (>= 2.6.2~),
 python3-pytest <!nocheck>,
# Check tiledb/tests folder
 python3-psutil <!nocheck>,
 python3-dask <!nocheck>, python3-distributed <!nocheck>,
 python3-pandas <!nocheck>,
 python3-hypothesis <!nocheck>,
# Packages below are not available in the archive yet
# python3-pyarrow <!nocheck>,
# python3-fastparquet <!nocheck>,
 python3-sphinx <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
# InterSphinx
 python3-doc <!nodoc>,
 libtiledb-doc <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://tiledb.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/tiledb-py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tiledb-py
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-tiledb
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
Suggests: python3-tiledb-doc
Description: Python interface to the TileDB storage manager
 TileDB allows you to store and access very large multi-dimensional array
 data, the data currency of Data Science.
 .
 It is a powerful storage engine that introduces a novel format that can
 effectively store both dense and sparse array data with support for fast
 updates and reads.
 .
 This package installs the library for Python 3.

Package: python3-tiledb-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python interface to the TileDB storage manager (documentation)
 TileDB allows you to store and access very large multi-dimensional array
 data, the data currency of Data Science.
 .
 It is a powerful storage engine that introduces a novel format that can
 effectively store both dense and sparse array data with support for fast
 updates and reads.
 .
 This is the Python interface documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=tiledb
export PYBUILD_TEST_ARGS=-v -Wignore
export PYBUILD_BEFORE_TEST=cp -rv {dir}/tiledb/libtiledb.pyx {build_dir}/tiledb/libtiledb.pyx
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tiledb/libtiledb.pyx {build_dir}/tiledb/tests
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}{install_dir}/dask-worker-space {destdir}{install_dir}/.hypothesis


%:
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3,numpy3 --buildsystem=pybuild
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f tiledb/version.py tiledb/libtiledb.cpp doc/source/_sidebar.rst.inc
	rm -rf .eggs .pytest_cache

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html
endif

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
	-dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tiledb-py-$1.tar.gz%" \
   https://github.com/TileDB-Inc/TileDB-Py/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tiledb-py 0.14.1

=== debian/changelog ===
tiledb-py (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 22 Apr 2022 07:47:32 -0500

tiledb-py (0.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Apr 2022 07:53:07 -0500

tiledb-py (0.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 05 Apr 2022 06:35:08 -0500

tiledb-py (0.13.2-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
  * debian/patches/comment-out-cmake-constraints: Relax cmake constraint
    in two places

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Apr 2022 16:11:07 -0500

tiledb-py (0.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 08 Mar 2022 08:42:40 -0600

tiledb-py (0.13.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Update Build-Depends: to libtiledb-dev (>= 2.7.0~)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 06 Mar 2022 07:48:08 -0600

tiledb-py (0.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Mar 2022 14:03:57 -0600

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools (>= 18.0~),
  python3-setuptools-scm (>= 1.5.4~),
  python3-wheel (>= 0.30~),
- libtiledb-dev (>= 2.6.2~),
+ libtiledb-dev (>= 2.7.0~),
  python3-pytest <!nocheck>,
 # Check tiledb/tests folder
  python3-psutil <!nocheck>,
@@ -26,7 +26,7 @@
 # InterSphinx
  python3-doc <!nodoc>,
  libtiledb-doc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://tiledb.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/tiledb-py.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tiledb-py

## tiledb-py 0.14.5

=== debian/changelog ===
tiledb-py (0.14.5-1) unstable; urgency=medium

  * New upstream version 0.14.5
  * Add myself to uploaders along with Dirk and Adam
    (Closes: #1010953)
  * Add/merge patch to comment out very strict
    versioning in requirements_dev.txt
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add d/salsa-ci.yml
  * Add autopkgtests to ensure that the package runs fine
    outside the source tree as well

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 May 2022 18:50:20 +0530

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-hypothesis, python3-psutil
Restrictions: allow-stderr

## tiledb-py 0.15.0

=== debian/changelog ===
tiledb-py (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 20:53:10 +0530

tiledb-py (0.14.5-2) unstable; urgency=medium

  * d/t/control: Restrict archs to run tests on

 -- Nilesh Patra <nilesh@debian.org>  Mon, 16 May 2022 09:56:25 +0530

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-hypothesis, python3-psutil
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el

## tiledb-py 0.15.1

=== debian/changelog ===
tiledb-py (0.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.15.1

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 May 2022 20:47:45 +0530

## tiledb-py 0.15.3

=== debian/changelog ===
tiledb-py (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3
  * Add patch to find tiledb version at right loc

 -- Nilesh Patra <nilesh@debian.org>  Wed, 08 Jun 2022 07:27:34 +0530

## tiledb-py 0.15.4

=== debian/changelog ===
tiledb-py (0.15.4-1) unstable; urgency=medium

  * New upstream version 0.15.4

 -- Nilesh Patra <nilesh@debian.org>  Tue, 14 Jun 2022 01:17:25 +0530

## tiledb-py 0.16.0

=== debian/changelog ===
tiledb-py (0.16.0-1) unstable; urgency=medium

  * d/watch: Remove un-needed uupdate
  * New upstream version 0.16.0
  * Update comment-out-extra-constraints.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Jun 2022 20:52:40 +0530

## tiledb-py 0.16.2

=== debian/changelog ===
tiledb-py (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2
  * Add python3-tk to test-deps
  * Drop use-version-h-from-right-loc.patch
    + Upstream figured a better way to get tiledb versions

 -- Nilesh Patra <nilesh@debian.org>  Mon, 11 Jul 2022 14:37:31 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tiledb-py
 Section: python
 Priority: optional
-Uploaders: Adam Cecile <acecile@le-vert.net>, Dirk Eddelbuettel <edd@debian.org>
+Uploaders: Adam Cecile <acecile@le-vert.net>, Dirk Eddelbuettel <edd@debian.org>, Nilesh Patra <nilesh@debian.org>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all-dev,
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all-dev,
 # From setup.py
  cmake,
  cython3 (>= 0.27~),
@@ -26,7 +26,7 @@
 # InterSphinx
  python3-doc <!nodoc>,
  libtiledb-doc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://tiledb.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/tiledb-py.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tiledb-py

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tiledb-py-$1.tar.gz%" \
   https://github.com/TileDB-Inc/TileDB-Py/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## tiledb-py 0.17.0

=== debian/changelog ===
tiledb-py (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 09 Aug 2022 14:11:45 +0530

tiledb-py (0.16.5-1) unstable; urgency=medium

  * New upstream version 0.16.5
  * Refresh d/p/comment-out-extra-constraints.patch
  * Re-instantiate d/p/use-version-h-from-right-loc.patch
    + Upstream switched to detecting version from tiledb_version.h

 -- Nilesh Patra <nilesh@debian.org>  Tue, 09 Aug 2022 01:07:27 +0530

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,6 @@
 endif
 
 override_dh_auto_test:
-ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
-	-dh_auto_test
-endif
+#ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)
+#	-dh_auto_test
+#endif

## tiledb-py 0.17.3

=== debian/changelog ===
tiledb-py (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3
  * Refresh, Re-diff patches

 -- Nilesh Patra <nilesh@debian.org>  Mon, 19 Sep 2022 20:50:19 +0530

## tiledb-py 0.17.5

=== debian/changelog ===
tiledb-py (0.17.5-1) unstable; urgency=medium

  * New upstream version 0.17.5

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Oct 2022 10:07:40 +0530

## tiledb-py 0.18.2

=== debian/changelog ===
tiledb-py (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Nov 2022 23:45:10 +0530

## tiledb-py 0.19.0

=== debian/changelog ===
tiledb-py (0.19.0-1) unstable; urgency=medium

  * New upstream version 0.19.0
  * Drop doc package, which was never rendering fine
    anyway (Closes: #1025835)
  * Remove superfluous string_view.hpp copyright mention
    which is no longer in source

 -- Nilesh Patra <nilesh@debian.org>  Sun, 11 Dec 2022 10:38:36 +0530

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,6 @@
 # Packages below are not available in the archive yet
 # python3-pyarrow <!nocheck>,
 # python3-fastparquet <!nocheck>,
- python3-sphinx <!nodoc>, python3-sphinx-rtd-theme <!nodoc>,
-# InterSphinx
- python3-doc <!nodoc>,
- libtiledb-doc <!nodoc>,
 Standards-Version: 4.6.1
 Homepage: https://tiledb.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/tiledb-py.git
@@ -36,7 +32,6 @@
 Package: python3-tiledb
 Architecture: any
 Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}
-Suggests: python3-tiledb-doc
 Description: Python interface to the TileDB storage manager
  TileDB allows you to store and access very large multi-dimensional array
  data, the data currency of Data Science.
@@ -46,17 +41,3 @@
  updates and reads.
  .
  This package installs the library for Python 3.
-
-Package: python3-tiledb-doc
-Architecture: all
-Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
-Description: Python interface to the TileDB storage manager (documentation)
- TileDB allows you to store and access very large multi-dimensional array
- data, the data currency of Data Science.
- .
- It is a powerful storage engine that introduces a novel format that can
- effectively store both dense and sparse array data with support for fast
- updates and reads.
- .
- This is the Python interface documentation package.

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,7 @@
 
 
 %:
-ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
-else
 	dh $@ --with python3,numpy3 --buildsystem=pybuild
-endif
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -23,9 +19,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html
-endif
 
 override_dh_auto_test:
 #ifeq ($(filter nocheck,$(DEB_BUILD_PROFILES)),)

## tiledb-py 0.19.1

=== requirements.txt ===
numpy>=1.16.5 ; python_version < "3.10" and platform_machine != 'aarch64'
numpy>=1.19.2 ; python_version < "3.10" and platform_machine == 'aarch64'
numpy>=1.21.0 ; python_version == "3.10"
numpy>=1.23.2 ; python_version >= "3.11"
packaging

contextvars ;python_version<"3.7"
dataclasses ;python_version<"3.7"

=== debian/changelog ===
tiledb-py (0.19.1-1) unstable; urgency=medium

  * New upstream version 0.19.1 (Closes: #1027246)
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Refresh comment-out-extra-constraints.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 06 Jan 2023 00:04:21 +0530

## tiledb-py 0.20.0

=== debian/changelog ===
tiledb-py (0.20.0-1) unstable; urgency=medium

  * New upstream version 0.20.0 (Closes: #1030489)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 05 Feb 2023 16:15:37 +0530

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # Packages below are not available in the archive yet
 # python3-pyarrow <!nocheck>,
 # python3-fastparquet <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://tiledb.com/
 Vcs-Git: https://salsa.debian.org/python-team/packages/tiledb-py.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tiledb-py

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-hypothesis, python3-psutil, python3-tk
Restrictions: allow-stderr
Architecture: amd64 arm64 ppc64el
